from django.contrib import admin
from .models import Client, ProductCategory, Product, \
    ClientBasket, Order, OrderItem, Transaction

# Register your models here.


@admin.register(Client)
class ClientAdmin(admin.ModelAdmin):
    list_display = ('pk', 'fio', 'phone')


@admin.register(ProductCategory)
class ProductCategoryAdmin(admin.ModelAdmin):
    list_display = ('pk', 'name')


@admin.register(Product)
class ProductAdmin(admin.ModelAdmin):
    list_display = ('pk', 'name', 'display_categories', 'display_rub')


@admin.register(ClientBasket)
class ClientBasketAdmin(admin.ModelAdmin):
    list_display = ('pk', 'client', 'product')


@admin.register(OrderItem)
class OrderItemAdmin(admin.ModelAdmin):
    list_display = ('pk', 'client', 'product', 'count',)


@admin.register(Order)
class OrderAdmin(admin.ModelAdmin):
    list_display = ('order_num', 'display_items', 'display_status')


@admin.register(Transaction)
class TransactionAdmin(admin.ModelAdmin):
    list_display = ('pk', 'order', 'old_status', 'new_status')

